%if 0%{?el7}
%define dist .el7
%endif

Name:		perl-Tie-Cache-LRU
Version:	20150301
Release:	5%{?dist}
Summary:	A Least-Recently Used cache

Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/~mschwern/Tie-Cache-LRU-20110205/
Source0:	http://search.cpan.org/CPAN/authors/id/M/MS/MSCHWERN/Tie-Cache-LRU-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
This is an implementation of a least-recently used (LRU) cache keeping the cache in RAM.

%prep
%setup -q -n Tie-Cache-LRU-%{version}

%build
%{__perl} Makefile.PL installdirs=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name .packlist | xargs rm -rf
find $RPM_BUILD_ROOT -name perllocal.pod | xargs rm -rf

%files
%doc Changes INSTALL README
%{perl_vendorlib}/Tie/Cache/LRU*
%{_mandir}/man3/*


%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 20150301-5
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 20150301-4
- Rebuilt for fc23

* Fri Jul 24 2015 momo-i <webmaster@momo-i.org> - 20150301-3
- Update to 20150301

* Thu Apr 16 2015 momo-i <webmaster@momo-i.org> 20110205-3
- Rebuilt for fc22

* Fri Mar  8 2013 momo-i <webmaster@momo-i.org> 20110205-1
- Initial rpm release.
